"{ Package: 'stx:libbasic' }"

UnixOperatingSystem subclass:#OSXOperatingSystem
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'OS-Unix'
!


!OSXOperatingSystem class methodsFor:'file queries'!

caseSensitiveFilenames
    "return true, if the OS has caseSensitive file naming.
     On MSDOS, this will return false;
     on a real OS, we return true."

    ^ false

    "Modified: / 5.6.1998 / 18:35:18 / cg"
! !

!OSXOperatingSystem class methodsFor:'users & groups'!

getDesktopDirectory
    "{ Pragma: +optSpace }"

    "return the name of the user's desktop directory."

    ^ self getHomeDirectory,'/Desktop'

    "
     OperatingSystem getDesktopDirectory
    "
! !

!OSXOperatingSystem class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/OSXOperatingSystem.st,v 1.2 2013-09-25 18:41:05 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libbasic/OSXOperatingSystem.st,v 1.2 2013-09-25 18:41:05 cg Exp $'
! !

